Bug 27229 - Video driver autoselection does not work with xorg.conf/xorg.conf.d in place
Video driver autoselection does not work with xorg.conf/xorg.conf.d in place
Status: RESOLVED FIXED
Product: xorg
Classification: Unclassified
Component: Server/General
git
All Linux (All)
: medium critical
Assigned To: Xorg Project Team
Xorg Project Team
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-21 14:04 UTC by Johannes Obermayr
Modified: 2010-04-03 03:42 UTC (History)
5 users (show)

See Also:
i915 platform:
i915 features:


Attachments
xorg-server-walk_drivers.diff (3.00 KB, patch)
2010-03-23 21:58 UTC, Stefan Dirsch
no flags Details | Splinter Review
updated patch working more cleanly, fixed coding style, added comments (4.56 KB, patch)
2010-03-25 18:04 UTC, Ruediger Oertel
no flags Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Johannes Obermayr 2010-03-21 14:04:03 UTC
Summary says all.

Additional information:
https://bugzilla.novell.com/show_bug.cgi?id=590005
Comment 1 Stefan Dirsch 2010-03-23 21:58:59 UTC
Created attachment 34391 [details] [review]
xorg-server-walk_drivers.diff

Fix by Rüdiger Oertel <ro@suse.de>.
Comment 2 Ruediger Oertel 2010-03-25 18:04:09 UTC
Created attachment 34455 [details] [review]
updated patch working more cleanly, fixed coding style, added comments
Comment 3 Dan Nicholson 2010-03-25 20:59:45 UTC
I think this patch is good to go. My take is that it could be refactored into xf86HandleConfigFile to fill in all the missing sections in one go, but this definitely works for now.

Reviewed-by: Dan Nicholson <dbn.lists@gmail.com>
Comment 4 Stefan Dirsch 2010-04-03 03:42:39 UTC
Fixed in 1.8.0.

commit 67b814d9b2baea6beccfb1625a1e3f0b2ba7218b
Author: Ruediger Oertel <ro@suse.de>
Date:   Mon Mar 29 00:23:40 2010 +0200

    Remove now obsolete function chooseVideoDriver
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 1dd5fbc5a4d860af1c102b33e04dedd8c72617a1
Author: Ruediger Oertel <ro@suse.de>
Date:   Fri Mar 26 09:33:20 2010 -0700

    xfree86: Handle driver autoconfiguration when .conf files exist
    
    When doing driver autoconfiguration with some parts of the config file
    present but no driver set (e.g. only input configuration) fix the case
    that we may have multiple drivers to try.
    
    Create a screen section for each driver and let them be tried in a row.
    
    Signed-off-by: Ruediger Oertel <ro@suse.de>
    Reviewed-by: Dan Nicholson <dbn.lists@gmail.com>
    Tested-by: Timo Aaltonen <timo.aaltonen@aalto.fi>
    Signed-off-by: Keith Packard <keithp@keithp.com>